⭐ If you find Zipline useful, please consider giving it a star on Github! ⭐

/api/user/urls

Create a new shortened URL for the authenticated user, with optional vanity, password, and max-views settings.

POST/api/user/urls

Header Parameters

x-zipline-max-views?number
Range1 <= value
x-zipline-no-json?string

Value in

  • "false"
  • "true"
x-zipline-domain?string
x-zipline-password?string

Request Body

application/json

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/api/user/urls" \  -H "Content-Type: application/json" \  -d '{    "destination": "http://example.com"  }'
"string"